Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class PadRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.PadRed

All Implemented Interfaces:
  RenderedImage, CachableRed

    public class PadRed

extends AbstractRed

This is an implementation of a Pad operation as a RenderedImage.

Nested Class Summary
`protected static class` | `PadRed.ZeroRecter`
`protected static class` | `PadRed.ZeroRecter_INT_PACK`

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`PadRed(CachableRed src, Rectangle bounds, PadMode padMode, RenderingHints hints)` Construct A Rendered Pad operation.

Method Summary
`WritableRaster` | `copyData(WritableRaster wr)`
`protected static SampleModel` | `fixSampleModel(CachableRed src, Rectangle bounds)` This function 'fixes' the source's sample model.
`protected void` | `handleReplicate(WritableRaster wr)`
`protected void` | `handleWrap(WritableRaster wr)`
`protected void` | `handleZero(WritableRaster wr)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PadRed

    public PadRed(CachableRed src,
                  Rectangle bounds,
                  PadMode padMode,
                  RenderingHints hints)

  Construct A Rendered Pad operation. If the pad is smaller than the original image size then this devolves to a Crop.

  Parameters:
    `src` - The image to pad/crop
    `bounds` - The bounds of the result (same coord system as src).
    `padMode` - The pad mode to use (currently ignored).
    `hints` - The hints to use for drawing 'pad' area.

Method Detail

### copyData

    public WritableRaster copyData(WritableRaster wr)

### handleZero

    protected void handleZero(WritableRaster wr)

### handleReplicate

    protected void handleReplicate(WritableRaster wr)

### handleWrap

    protected void handleWrap(WritableRaster wr)

### fixSampleModel

    protected static SampleModel fixSampleModel(CachableRed src,
                                                Rectangle bounds)

  This function 'fixes' the source's sample model. right now it just ensures that the sample model isn't much larger than my width.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.